ExtensionalSchemaEvolution
Keywords: uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.ExtensionalSchemaEvolution class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution
Class ExtensionalSchemaEvolution

    java.lang.Object
      uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.SMEvolution
          uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.ExtensionalSchemaEvolution

All Implemented Interfaces:
  Evolution

    public class ExtensionalSchemaEvolution

extends SMEvolution

Field Summary
`static java.lang.String` | `RANGE_VOID_ANY`

Fields inherited from class uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.SMEvolution
`evolutionType, evolvedSchema, isRepair, originalSchema, schemaEvolutionType, schemaToEvolve`

Fields inherited from interface uk.ac.bbk.dcs.automed.evolution.Evolution
`EVOLVE_DATA, EVOLVE_EXTENTIONAL_SCHEMA, EVOLVE_INTEGRATED_SCHEMA, EVOLVE_SCHEMAMODEL`

Constructor Summary
`ExtensionalSchemaEvolution(boolean isRepair, Schema virtualSchema, Schema[] extensionalSchemas, Schema[] unionSchemas, Schema extSchema, Schema evolvedExtSchema, java.lang.String nameOfNewSchema, java.lang.Object domainKnowledge)`

Method Summary
`static Schema` | `applyConstraintTransformation(Schema schema, java.util.Set rangeVoidConstructs)`
`static Schema` | `applyConstraintTransformation(Schema schema, java.lang.String construct)`
`static Schema` | `applyContractTransformation(Schema schema, java.lang.String construct)`
`static SchemaObject[]` | `checkDepenednts(Schema schema, java.lang.String construct)`
`java.util.Set` | `checkUnionConstructs(java.util.Set descendants)`
`static boolean` | `compare(java.util.Set constructsToMatch, Cell c)`
`static boolean` | `compare(java.lang.String toMatch, Cell c)`
`void` | `createIdentTransformation(Schema us, Schema newUs)`
`void` | `deleteOldPathway(Schema ls, Schema us)`
`Schema` | `duplicatePathway(Schema ls, Schema us)`
`static SchemaObject` | `getConstructAsSchemaObject(Transformation t)`
`static java.lang.String` | `getConstructAsString(Transformation t)`
`static boolean` | `isRangeVoidAny(java.lang.String construct, Schema us, Schema ls)`
`void` | `makeNewPathway(java.util.Set rangeVoidConstructs, Schema ls, Schema us)`
`static Schema` | `manageIntegrityConstraints(Schema schema, java.lang.String construct)`
`void` | `processAddTransformation(Transformation crntTransformation)`
`void` | `processContractTransformation(Transformation crntTransformation)`
`void` | `processDeleteTransformation(Transformation crntTransformation)`
`void` | `processExtendTransformation(Transformation crntTransformation)`
`void` | `processRenameTransformation(Transformation crntTransformation)`
`static java.util.Set` | `searchDescendants(java.lang.String construct, Schema s1, Schema s2)`

Methods inherited from class uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.SMEvolution
`getEvolutionType, getIsRepair, getSchemaEvolutionType, processEvolution, processEvolution, processTransformation, repairPathway, repairPathway, setIsRepair, simplifyPathway, simplifyPathway`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RANGE_VOID_ANY

    public static final java.lang.String RANGE_VOID_ANY

See Also:
  Constant Field Values

Constructor Detail

### ExtensionalSchemaEvolution

    public ExtensionalSchemaEvolution(boolean isRepair,
                                      Schema virtualSchema,
                                      Schema[] extensionalSchemas,
                                      Schema[] unionSchemas,
                                      Schema extSchema,
                                      Schema evolvedExtSchema,
                                      java.lang.String nameOfNewSchema,
                                      java.lang.Object domainKnowledge)
                               throws SMEvolutionException

Throws:
  `SMEvolutionException`

Method Detail

### processRenameTransformation

    public void processRenameTransformation(Transformation crntTransformation)

  Specified by:
    `processRenameTransformation` in class `SMEvolution`

### processContractTransformation

    public void processContractTransformation(Transformation crntTransformation)

  Specified by:
    `processContractTransformation` in class `SMEvolution`

### processExtendTransformation

    public void processExtendTransformation(Transformation crntTransformation)

  Specified by:
    `processExtendTransformation` in class `SMEvolution`

### processDeleteTransformation

    public void processDeleteTransformation(Transformation crntTransformation)

  Specified by:
    `processDeleteTransformation` in class `SMEvolution`

### processAddTransformation

    public void processAddTransformation(Transformation crntTransformation)

  Specified by:
    `processAddTransformation` in class `SMEvolution`

### isRangeVoidAny

    public static boolean isRangeVoidAny(java.lang.String construct,
                                         Schema us,
                                         Schema ls)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### manageIntegrityConstraints

    public static Schema manageIntegrityConstraints(Schema schema,
                                                    java.lang.String construct)

### checkDepenednts

    public static SchemaObject[] checkDepenednts(Schema schema,
                                                 java.lang.String construct)

### applyContractTransformation

    public static Schema applyContractTransformation(Schema schema,
                                                     java.lang.String construct)

### makeNewPathway

    public void makeNewPathway(java.util.Set rangeVoidConstructs,
                               Schema ls,
                               Schema us)

### deleteOldPathway

    public void deleteOldPathway(Schema ls,
                                 Schema us)

### createIdentTransformation

    public void createIdentTransformation(Schema us,
                                          Schema newUs)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### duplicatePathway

    public Schema duplicatePathway(Schema ls,
                                   Schema us)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### applyConstraintTransformation

    public static Schema applyConstraintTransformation(Schema schema,
                                                       java.util.Set rangeVoidConstructs)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### applyConstraintTransformation

    public static Schema applyConstraintTransformation(Schema schema,
                                                       java.lang.String construct)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkUnionConstructs

    public java.util.Set checkUnionConstructs(java.util.Set descendants)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConstructAsString

    public static java.lang.String getConstructAsString(Transformation t)

### getConstructAsSchemaObject

    public static SchemaObject getConstructAsSchemaObject(Transformation t)

### searchDescendants

    public static java.util.Set searchDescendants(java.lang.String construct,
                                                  Schema s1,
                                                  Schema s2)
                                           throws IntegrityException,
                                                  NotFoundException

  Throws:
    `IntegrityException`
    `NotFoundException`

### compare

    public static boolean compare(java.util.Set constructsToMatch,
                                  Cell c)

### compare

    public static boolean compare(java.lang.String toMatch,
                                  Cell c)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD